OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
MDocStd

# MDocStd_XLinkRetrievalDriver Class Reference

Tool used to translate a persistent XLink into a
transient one.
.

`#include <MDocStd_XLinkRetrievalDriver.hxx>`

Inheritance diagram for MDocStd_XLinkRetrievalDriver:

[legend]

## Public Member Functions
Standard_EXPORT | MDocStd_XLinkRetrievalDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT Standard_Integer | VersionNumber () const
| Returns the version number from which the driver is available: 0. .
Standard_EXPORT Handle_Standard_Type | SourceType () const
| Returns the type XLink from PXref. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Creates a new attribute from PDF. .
Standard_EXPORT void | Paste (const Handle(PDF_Attribute)&aSource, const Handle(TDF_Attribute)&aTarget, const Handle(MDF_RRelocationTable)&aRelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT MDocStd_XLinkRetrievalDriver::MDocStd_XLinkRetrievalDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT const MDocStd_XLinkRetrievalDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MDF_ARDriver.

Standard_EXPORT Handle_TDF_Attribute MDocStd_XLinkRetrievalDriver::NewEmpty | ( |  | ) | const`[virtual]`

| Implements MDF_ARDriver.

Standard_EXPORT void MDocStd_XLinkRetrievalDriver::Paste | ( | const Handle(PDF_Attribute)& | aSource,
|  | const Handle(TDF_Attribute)& | aTarget,
|  | const Handle(MDF_RRelocationTable)& | aRelocTable
| ) | const`[virtual]`

| Implements MDF_ARDriver.

Standard_EXPORT Handle_Standard_Type MDocStd_XLinkRetrievalDriver::SourceType | ( |  | ) | const`[virtual]`

| Implements MDF_ARDriver.

Standard_EXPORT Standard_Integer MDocStd_XLinkRetrievalDriver::VersionNumber | ( |  | ) | const`[virtual]`

| Implements MDF_ARDriver.

The documentation for this class was generated from the following file:

- MDocStd_XLinkRetrievalDriver.hxx